// ----------------------------------------------------------------------------
// Copyright (C) 2003-2005 Microsoft Corporation, All rights reserved.
// ----------------------------------------------------------------------------

using System;
using System.ServiceModel;
using System.ServiceModel.Design;
using System.ServiceModel.Security.Protocols;

namespace Microsoft.ServiceModel.Samples
{
    /// <summary>
    /// Udp Binding Element.  Integration point between UdpChannelFactory/UdpListenerFactory
    /// and Indigo Bindings.
    /// </summary>
    public class UdpTransportBindingElement : BindingElement, IChannelBuilder
    {
        public IChannelFactory BuildChannelFactory(ChannelBuildContext context)
        {
            return new UdpChannelFactory();
        }

        public IListenerFactory BuildListenerFactory(ChannelBuildContext context)
        {
            return new UdpListenerFactory();
        }

        public override System.ServiceModel.Security.Protocols.ChannelProtectionRequirements GetProtectionRequirements()
        {
            return null;
        }
    }
}