// ----------------------------------------------------------------------------
// Copyright (C) 2003-2005 Microsoft Corporation, All rights reserved.
// ----------------------------------------------------------------------------

namespace Microsoft.ServiceModel.Samples
{
    using System;
    using System.Configuration;
    using System.ServiceModel;
    using System.ServiceModel.Channels;
    using System.ServiceModel.Configuration;

    /// <summary>
    /// Configuration section for Udp. If we had public properties on UdpTransportBindingElement
    /// then we'd need to override ApplyConfiguration, CopyFrom, InitializeFrom, and Properties {get; }
    /// </summary>
    public class UdpTransportSection : BindingElementExtensionSection
    {
        public UdpTransportSection()
        {
        }

        public override Type BindingElementType
        {
            get { return typeof(UdpTransportBindingElement); }
        }

        public override string ConfiguredSectionName
        {
            get { return UdpConstants.UdpTransportSectionName; }
        }

        protected override BindingElement CreateBindingElement()
        {
            UdpTransportBindingElement bindingElement = new UdpTransportBindingElement();
            this.ApplyConfiguration(bindingElement);
            return bindingElement;
        }
    }
}
